
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#开发WINDOWS应用程序时消息的处理 / iVAN</title>

    <meta name="description" content="C#开发WINDOWS应用程序时消息的处理 window|程序 WINDOWS应用程序是靠消息驱动的,在VC中我们通过CLASSWIZARD可以为某窗口类添加消息处理函数,CLASSWIZARD将为你添加消息映射,对于WINDOWS消息,生成的消息处理函数重载了基类的虚拟方法.而在C#中如何处理消息呢?本文针对VS.NET BETA1环境下的C#简单地介绍WINDOWS消息以及自定义消息的处理方法. 示例代码下载 17K 一.生成一个名为MSGApplication的工程 工程的建立方法请参考:C#学习笔记之一 二.处理WM_PAINT消">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#开发WINDOWS应用程序时消息的处理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>window|程序</p>
<p>WINDOWS应用程序是靠消息驱动的，在VC中我们通过CLASSWIZARD可以为某窗口类添加消息处理函数，CLASSWIZARD将为你添加消息映射，对于WINDOWS消息,生成的消息处理函数重载了基类的虚拟方法。而在C#中如何处理消息呢？本文针对VS.NET BETA1环境下的C#简单地介绍WINDOWS消息以及自定义消息的处理方法。</p>
<p>示例代码下载 17K</p>
<p>一、生成一个名为MSGApplication的工程</p>
<p>工程的建立方法请参考:C#学习笔记之一</p>
<p>二、处理WM_PAINT消息</p>
<p>我们以WM_PAINT消息的处理为例，在C#中处理消息与MFC的消息处理是类似的，但更为简单。MFC中需要使用DECLARE_MESSAGE_MAP来定义消息映射，在C#就不需要了。比如WM_PAINT消息，我们只要重载父类中的OnPaint虚拟方法即可（虽然在BETA1中重载父类虚拟方法的操作过程有点繁琐），方法如下：</p>
<p>在菜单View-&gt;Other Windows-&gt;Object Browser打开对象浏览窗口(或用CTRL+ALT+J打开),在我们的工程名下找到Form并选中，这时在右边的窗口列出所有Form类的成员函数，如图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzU3MTQ0NTE1Ny5naWY=.jpg">开发</a>WINDOWS应用程序时消息的处理-c站"&gt; 我们选中OnPaint(System.WinForms.PaintEventArgs)此时在下面会显示完整的OnPaint函数protected void OnPaint ( System.WinForms.PaintEventArgs e )我们将这一行字符串Copy下来。打开Form1.cs进行代码编辑，我们把刚才拷贝下来的函数定义复制到Form1类里面，并加上override关键字,此时我们便可以在里面添加我们的消息处理代码了，请参考如下代码段:</p>
<p>protected override void OnPaint ( System.WinForms.PaintEventArgs e )</p>
<p>{</p>
<p>Font font = new Font("黑体",28);///定义字体：黑体，大小：28</p>
<p>SolidBrush bluepen = new SolidBrush(Color.Blue);///创建蓝色画笔</p>
<p>SolidBrush blackpen = new SolidBrush(Color.FromARGB(0xa0,0xa0,0xb0));///创建黑色画笔</p>
<p>e.Graphics.DrawString("VC知识库",font,blackpen,65,25);///写字符串</p>
<p>e.Graphics.DrawString("VC知识库",font,bluepen,61,21);///偏移4个象素用不同的颜色再写一次，达到立体效果</p>
<p>}</p>
<p>对于其它消息的处理以及对其它父类虚拟函数的重载都可以采用同样的方法。</p>
<p>三、自定义消息的处理</p>
<p>为了处理的方便，在这里我们将需要使用到的自定义消息封装成一个类，类的添加过程如下：</p>
<p>在ClassView中选中我们的工程MSGApplication,按下鼠标右键，在弹出菜单中选择Add-&gt;Add Class,弹出Class Wizard,我们将类命名为WM,其余选项不便,确认完成类的添加。我们为WM类添加两个成员变量,见如下代码:</p>
<p>public class WM</p>
<p>{</p>
<p>public const int USER = 0x0400;</p>
<p>public const int TEST1 = USER+1;</p>
<p>}</p>
<p>我们在Form1中添加一个按钮，并为该按钮添加事件处理代码(假如您对这个过程不熟悉，请参考:C#学习笔记之一)</p>
<p>向主视窗发送TEST1自定义消息，具体代码如下:</p>
<p>protected void button1_Click (object sender, System.EventArgs e)</p>
<p>{</p>
<p>SendMessage(WM.TEST1,100,200);</p>
<p>}</p>
<p>消息已经发出了，在Form1中我们如何对该消息作出响应呢？我们可以重载 DefWndProc方法。</p>
<p>protected override void DefWndProc ( ref System.WinForms.Message m )</p>
<p>{</p>
<p>switch(m.msg)</p>
<p>{</p>
<p>case WM.TEST1:</p>
<p>///string与MFC中的CString的Format函数的使用方法有所不同</p>
<p>string message = string.Format("收到消息!参数为:{0},{1}",m.wParam,m.lParam);</p>
<p>MessageBox.Show(message);///显示一个消息框</p>
<p>break;</p>
<p>default:</p>
<p>base.DefWndProc(ref m);///调用基类函数处理非自定义消息。</p>
<p>break;</p>
<p>}</p>
<p>}</p>
<p>程序运行结果如图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzU3MTQ0NTQyNC5naWY=.jpg"></p>
<p>当我们点发送消息按钮，弹出消息框并显示收到的参数。</p>
<p>后记：可以预料在VS.NET BETA1的后继版本中对上述过程的操作会有很大改变，但原理是一致的。让我们期待更完美的C#展现在我们面前。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 06:55:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%b6%88%e6%81%af/" title="消息">消息</a>, <a href="https://www.iamivan.net/tag/mfc-messagebox/" title="mfc messagebox">mfc messagebox</a>, <a href="https://www.iamivan.net/tag/c-ftp%e4%b8%8b%e8%bd%bd-winform/" title="c&num; ftp下载 winform">c&num; ftp下载 winform</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#开发WINDOWS应用程序时消息的处理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDJXlM.html" rel="bookmark">C&num;开发WINDOWS应用程序时消息的处理&lpar;C&num;学习笔记之二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:浙江省温岭市电信局 王骏WINDOWS应用程序是靠消息驱动的,在VC中我们通过CLASSWIZARD可以为某窗口类添加消息处理函数,CLASSWIZARD将为你添加消息映射,对于WINDOWS消息,生成的消息处理函数重载了基类的虚拟方法.而在C#中如何处理消息呢?本文针对VS.NET BETA1环境下的C#简单地介绍WINDOWS消息以及自定义消息的处理方法.示例代码下载 17K一.生成一个名为MSGApplication的工程工程的建立方法请参考:C#学习笔记之一二.处理WM_PAINT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK749Ob.html" rel="bookmark">C&num;发现之旅：C&num;开发Windows Service程序&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows Service概念介绍 Windows Service,也称Windows服务,是32位Windows 操作系统中一种长期运行的后台程序.它们长期后台运行,没有用户界面,默默无闻,但它 们却是支持Windows正常运行的幕后英雄,却永无出头之日. Windows服务程序为其他 系统模块提供了非常重要的服务,而且各个Windows服务分工明确,比如IISAdmin服务提供 WEB内容的发布功能,若IISAdmin服务不启动,则静态HTML页面.ASP.ASP.NET或者 WebSe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2LGep.html" rel="bookmark">C&num;发现之旅：C&num;开发Windows Service程序&lpar;下&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类似的对于&quot;停止服务&quot;,其点击事件处理为 private void btnStopService_Click(object sender, EventArgs e) { if (bolServiceInstalled == false) return; using (System.ServiceProcess.ServiceController control = new System.ServiceProcess.ServiceController(&quot;MyFileSyste			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6er8ob.html" rel="bookmark">java 游戏开发-Java 运行程序时，错误调用函数，</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java 运行程序时,错误调用函数, 做的一个棋类小游戏,有条规则是棋子变成王后,可以远距离吃子,在编写王吃子规则时,需要使用if语句对是否是王进行判断,但是在运行时,还没有变成王,就输出判断为王时的提示语句,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLZkjM.html" rel="bookmark">使用Python开发windows GUI程序入门实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天终于可以用wxPython开发GUI程序了,非常高兴.把其中的一些注意点写下来以供参考.在windows XP平台下,首先需要做以下环境的配置: 1. 首先是安装python ,安装完之后将python/bin所在目录添加到path中. 2. 安装wxPython, 此时要注意wxPython的版本要与前面python的版本一致. 3. 安装py2exe, 这是windows平台下一个非常好的python程序发布工具,可以将python程序编译成exe而脱离python环境执行.做完上面的安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJkPAb.html" rel="bookmark">C&num; 开发Windows Service程序控制功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做一些计划任务时候难免用到Windows Service服务程序,而这个是没有操作界面的,每次启动.重启.关闭都需要服务界面找到服务进行操作,对普通的人来说是非常麻烦的,所以有时候就需要通过应用程序来控制Windows 服务,这里把之前写到的一个服务控制类贴出来. C# Windows 服务控制类代码 using System; using System.Collections.Generic; using System.Linq; using System.Text; using Syste			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmQy5b.html" rel="bookmark">Windows 2008 R2 &plus;iis7发布&period;net开发的应用程序，出现读取目录文件访问被拒绝问题，请高手协助！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如题所述,国庆期间给客户安装公司的应用软件,基于WindowsServer平台.NET框架开发的系统,以前一直在2003Server+IIS6.0下发布,没碰到过问题.但这次客户提供的机器中安装的windows2008R2环境,结果出现了读取文件失败的情形(如贴图),我试过了网上提供的方法,新建一个用户,把身份验证重新设置新创建用户,均不能解决问题,只能通过把目录权限设置成Everyone才能解决,但是如果把Everyone都开放出来,网站还有安全可言吗?不知各位同行还有没有其它好方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ARj4z.html" rel="bookmark">用C&num;设计Windows应用程序模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通常windows应用程序都有相似的特征:控件.菜单.工具条.状态栏等等.每次我们开始作一个新的windows应用程序时都是以相同的事情开始:建立项目,添加控件和事件处理器.如果我们有一个模板,那么我们就可以节约大量的时间了. 在介绍如何建立模板的过程中,将涉及大量的微软.net framework类库的基本知识.如果你没有使用集成开发环境那么本文介绍的模板对你将非常有用,如果你使用了visual studio.net这样的集成开发环境你也可以从中了解控件的工作方式,这对你也是很有用的. 写一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmjGQ5z.html" rel="bookmark">艾伟&lowbar;转载：用C&num;设计Windows应用程序模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通常windows应用程序都有相似的特征:控件.菜单.工具条.状态栏等等.每次我们开始作一个新的windows应用程序时都是以相同的事情开始:建立项目,添加控件和事件处理器.如果我们有一个模板,那么我们就可以节约大量的时间了. 在介绍如何建立模板的过程中,将涉及大量的微软.net framework类库的基本知识.如果你没有使用集成开发环境那么本文介绍的模板对你将非常有用,如果你使用了visual studio.net这样的集成开发环境你也可以从中了解控件的工作方式,这对你也是很有用的. 写一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAa7vM.html" rel="bookmark" class="title">HDU 1115 求多边形重心</a>
					<div>
						一个均匀的多边形重心为 横纵坐标和分别除以六倍的面积. #include &lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjDnZp.html" rel="bookmark" class="title">将 Java 小程序迁移到 Microsoft J&num; 浏览器控件</a>
					<div>
						程序|控件|浏览器 Visual J# .NET 小组 Microsoft Corporation 摘要:通过 Microsoft J# 浏览器控件,开发人员可以将所编写的在 Java 虚拟机上运行的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8q8Vz.html" rel="bookmark" class="title">数据分行&lpar;任意&rpar;输出的两种方法</a>
					<div>
						数据 &lt;!-- #include file=&quot;connect.asp&quot; --&gt; &lt;% 'set rs=server.CreateObject(&quot;adod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvgWVp.html" rel="bookmark" class="title">《Essential &period;Net》读书笔记 - Chapter 1</a>
					<div>
						笔记 Chapter 1: 1.         组件技术主要强调的是独立开发和部署程序之间的协定(contract,就是说好怎么做就要怎么做).COM是M$首次尝试将这些约定规范化.COM出现之前, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62oKNM.html" rel="bookmark" class="title">腾讯电脑管家软件搬家怎么用</a>
					<div>
						  很多人在买电脑装系统时,还不懂得C盘的重要性,只给C盘留了一点空间,时间一长,内存越来越满,会导致系统运行变慢,某些操作无法正常进行.软件搬家功能就可以解决此类问题,软件搬家不仅可以直观的显示电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaJYWz.html" rel="bookmark" class="title">uc浏览器看片雷达使用教程</a>
					<div>
						  1.打开uc浏览器看片雷达后的第一个界面,这个界面很简洁,只有一个按钮,你只要按下扫描就等着坐收资源吧!等待扫描过程,扫描到的资源数量视周围人观看视频的数量而定,这个扫描过程还是很快的,扫描完成后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Ek9xM.html" rel="bookmark" class="title">Win8无法打开这个应用怎么办？</a>
					<div>
						  1.按[Win键+R]快捷键调出来[运行]在框中输入[gpedit.msc]然后点击[确定]进入本地组策略编辑器. 2.在组策略编辑器,依次展开[计算机配置]---[Windows设置]---[安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3omEgb.html" rel="bookmark" class="title">远程桌面连接软件哪个好</a>
					<div>
						  想不想在外面就能控制自己的电脑,你让它做什么它就得做什么.这种装X技能想不想学,就问大家想不想学.学到这个,拿下白富美得基础又进一步.你想想啊,那天女神电脑上有点问题,让你帮帮忙,你在家就可以解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGNgwb.html" rel="bookmark" class="title">Cool Edit如何压限处理</a>
					<div>
						  1.点击&quot;效果--DirectX--Waves--C4&quot;打开WaveC4压限效果器. 2.加载预置下拉菜单中的各种效果后(如果你对数字音频有足够了解的话,也可手动调节)点右下方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6aNNb.html" rel="bookmark" class="title">电脑中USB转串口如何正确安装对应的驱动程序</a>
					<div>
						  1.打开USB转串口安装程序; 2.根据提示进行安装后会弹出&quot;驱动预安装成功&quot;的提示; 3.如果在打开设备管理器查看端口时发现对应的设备图标还是显示黄色的感叹号,那么应该是驱动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ61Kb.html" rel="bookmark" class="title">Java URL自定义私有网络协议&lowbar;java</a>
					<div>
						--声明,脑残人士远离,本博客的核心不是if-else+前缀,而是如何通过URL协议处理框架定义私有协议 URI与URL的区别 URI (uniform resource identifier)统一资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6X5Vb.html" rel="bookmark" class="title">r语言-在C&num; 程序里 调用R语言 调用完R语言后C&num;程序也跟着结束了，怎么让他不跟着结束呢？</a>
					<div>
						问题描述 在C# 程序里 调用R语言 调用完R语言后C#程序也跟着结束了,怎么让他不跟着结束呢? 我程序里调用R语言的代码是这样的 REngine.SetEnvironmentVariables(); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQAQnz.html" rel="bookmark" class="title">数据-android客户端与服务端通信安全问题</a>
					<div>
						问题描述 android客户端与服务端通信安全问题 对于android请求服务端,经常会把接口暴露,例如http://www.myweb.com/api.php 别人就能通过这些个接口,使用浏览器的方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKXPZz.html" rel="bookmark" class="title">Sudoku迷宫的混合方法：将规则应用程序部署到云中</a>
					<div>
						在本专栏中,我将重点介绍如何在云上执行该规则应用程序.Web 应用程序能够利用将要部署到公共云中的规则引擎吗?如果能,我们将使用哪些规则集成模式?我们将部署哪些 ODM 组件?我们可期待获得怎样的执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAnDQM.html" rel="bookmark" class="title">求助？无法在System&period;int32和System&period;string上执行&OpenCurlyDoubleQuote;like&rdquo;操作</a>
					<div>
						问题描述 错误提示:无法在System.int32和System.string上执行&quot;like&quot;操作.跟踪也不知道是哪的错误! 解决方案 解决方案二:我也不知道哪错了解决方案三:什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBya0M.html" rel="bookmark" class="title">comet 多路复用-怎么结合comet长轮询和lighttpd的IO多路复用来提高并发</a>
					<div>
						问题描述 怎么结合comet长轮询和lighttpd的IO多路复用来提高并发 RT:想解决ajax长轮询带来的阻塞其他请求情况,网上有看到可以结合&quot;多路复用&quot;来解决,从而不影响其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk8JZM.html" rel="bookmark" class="title">Facebook开放轻量开源工具Fbthrift</a>
					<div>
						据媒体消息,今天http://www.aliyun.com/zixun/aggregation/1560.html&quot;&gt;Facebook宣布开放另一个版本的软件库和代码生成工具,通过这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5qJOp.html" rel="bookmark" class="title">赚友博客：从色搜看色情搜索引擎</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 色搜这个词在各大媒体曝光之后,在今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNna24M.html" rel="bookmark" class="title">google in-app-billing应用测试提示：需要验证身份，你需要登录自己的goog</a>
					<div>
						问题描述 google in-app-billing应用测试提示:需要验证身份,你需要登录自己的goog 这个账号已加入开发者控制台的测试账号,所使用的账号在google play已发布的in-app ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnP2mM.html" rel="bookmark" class="title">C&plus;&plus;窗体编程从何入手</a>
					<div>
						问题描述 各位,个人目前想做一个数据分析和显示的小软件,需要数据按列表显示,并且可以实时接收更新,同时可以以统计图表显示,个人使用VS2005,考虑到用到的窗体控件可能比较多,功能也比较复杂,自己相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo1l9M.html" rel="bookmark" class="title">&period;wang风云再起，两字符开放抢占先机</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 .wang域名自3721.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqLPmb.html" rel="bookmark" class="title">《区块链原理、设计与应用》一3&period;4　资源共享</a>
					<div>
						3.4 资源共享 当前,以 Uber.Airbnb 为代表的共享经济模式正在多个垂直领域冲击传统行业.这一模式鼓励人们通过互联网的方式共享闲置资源.资源共享目前面临的问题主要包括: 共享过程成本过高: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk05VOz.html" rel="bookmark" class="title">SQL优化基础 使用索引（一个小例子）&lowbar;MsSql</a>
					<div>
						按照本文操作和体会,会对sql优化有个基本最简单的了解,其他深入还需要更多资料和实践的学习: 1. 建表: 复制代码 代码如下: create table site_user ( id int IDE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWqjRz.html" rel="bookmark" class="title">PHP封装的一个支持HTML、JS、PHP重定向的多功能跳转函数&lowbar;php实例</a>
					<div>
						PHP 跳转,即重定向浏览器到指定的 URL,是一个很常见的功能.这种功能也有一些细节性的要求,比如等待多少秒以后跳转,用不用JavaScript实现跳转,等等.下面的跳转方法考虑到很多,并参数化,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVoqDz.html" rel="bookmark" class="title">eof-最后的结果2是在输入两个1后得出的，为什么等我再输入两个数据（2）在按回车后才出现结果，EOF？</a>
					<div>
						问题描述 最后的结果2是在输入两个1后得出的,为什么等我再输入两个数据(2)在按回车后才出现结果,EOF? #include int main() { int a,b; while(scanf(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVaj1z.html" rel="bookmark" class="title">logstash使用mutate处理数据</a>
					<div>
						问题描述 logstash使用mutate处理数据 最近使用logstash分析日志,需要提取日志中某一串字符,比如abcd=1,看了很多文档 有人说在filter中使用mutate可以实现,但是没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWlL5z.html" rel="bookmark" class="title">数据库和集合&lpar;MongoDB 文档翻译和解读&rpar;</a>
					<div>
						MongoDB 存储 BSON 文件即数据纪录到集合中:下面就是数据库中的集合. 一.Databases 在 MongoDB 中,数据库会保存文档式集合. 在 mongo shell 中如果想选择一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqakEp.html" rel="bookmark" class="title">代码-ns3能否实现真实语音数据的传输</a>
					<div>
						问题描述 ns3能否实现真实语音数据的传输 新手求助,本人才上手NS3,自己在网上找了一个lte的仿真通信的代码,想知道NS3能否实现真实语音的编码和传输呢,谢谢!急急急!!!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJrEJM.html" rel="bookmark" class="title">hibernate远程连接sql-server，怎么设置啊？</a>
					<div>
						问题描述 我在局域网内可以用sql-server远程连接到另一台电脑的sql-server数据库,但是如何用hibernate远程连接另一台电脑的sql-server数据库呢,有没有什么比较简单的设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgG7Yz.html" rel="bookmark" class="title">道路监控摄像轮番上阵 加强执法提高安全性</a>
					<div>
						智能交通系统是未来交通系统的发展方向,是交通事业的一场革命.通过先进的信息技术.通信技术.控制技术.传感技术.计算器技术和系统综合技术有效的集成和应用,使人.车.路之间的相互作用关系以新的方式呈现,从 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
